#include <stdio.h>
#include <rpc/rpc.h>
#include "msg.h"

extern void messageprog_1 (struct svc_req *rqstp, SVCXPRT *transp);

int main (void)
{
  SVCXPRT *transp;

  pmap_unset (MESSAGEPROG, MESSAGEVERS);

  transp = svcudp_create (RPC_ANYSOCK);
  if (transp == NULL)
  {
    fprintf (stderr, "cannot create udp service.\n");
    return (1);
  }
  if (!svc_register(transp, MESSAGEPROG, MESSAGEVERS, messageprog_1, IPPROTO_UDP))
  {
    fprintf (stderr, "unable to register (MESSAGEPROG, MESSAGEVERS, udp).\n");
    return (1);
  }

  transp = svctcp_create (RPC_ANYSOCK, 0, 0);
  if (transp == NULL)
  {
    fprintf (stderr, "cannot create tcp service.\n");
    return (1);
  }
  if (!svc_register(transp, MESSAGEPROG, MESSAGEVERS, messageprog_1, IPPROTO_TCP))
  {
    fprintf (stderr, "unable to register (MESSAGEPROG, MESSAGEVERS, tcp).\n");
    return (1);
  }
  svc_run();
  fprintf (stderr, "svc_run returned\n");
  return (1);
}


